﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="MainPage.aspx.cs" Inherits="TestProject.MainPage" %>
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
    <head runat="server">
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <title>XmlDataSource 클래스 사용하기</title>
    </head>
    <body>
        <form id="form" runat="server">
            <div>
                <asp:DataList ID="dataList" runat="server" 
                    DataSourceID="xmlDataSource">
                    <ItemTemplate>
                        <em><%# XPath("title") %></em>: <%# XPath("description") %>
                    </ItemTemplate>
                </asp:DataList>
                <asp:XmlDataSource ID="xmlDataSource" runat="server" 
                    DataFile="~/MainPage.xml">
                </asp:XmlDataSource>
            </div>
        </form>
    </body>
</html>